Bug 392741 - Crash during software update (using gnome and not yum through terminal)
Crash during software update (using gnome and not yum through terminal)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 12:38 EST by Mario Bonelli
Modified: 2008-05-28 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error installing updates (1.53 KB, application/octet-stream)
2008-01-13 17:15 EST, Robert Seles
no flags Details

  None (edit)
Description Mario Bonelli 2007-11-20 12:38:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; it; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Component: pirut
Summary: TBb94c7038 expat.py:4:<module>:ImportError: /usr/lib/python2.5/site-packages/_xmlplus/parsers/pyexpat.so: wrong ELF class: ELFCLASS32

Traceback (most recent call last):
  File "/usr/sbin/pup", line 614, in <module>
    main()
  File "/usr/sbin/pup", line 610, in main
    pup.run()
  File "/usr/sbin/pup", line 449, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 267, in doRefresh
    pbar = self.doRefreshRepos(destroy=False)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 331, in doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 296, in reposSetup
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 63, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 77, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 526, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 242, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in _check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 769, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 761, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 744, in _loadRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 574, in _getFile
    result = self.mediafunc(local = local, checkfunc = checkfunc, relative = relative, text = text, copy_local = copy_local, url = url, mediaid = self.mediaid, name = self.name, discnum = discnum, range = (start, end))
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 141, in pirutCDHandler
    import HalCD
  File "/usr/lib/python2.5/site-packages/pirut/HalCD.py", line 20, in <module>
    import dbus
  File "/usr/lib/python2.5/site-packages/dbus/__init__.py", line 96, in <module>
    from dbus._dbus import Bus, SystemBus, SessionBus, StarterBus
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 45, in <module>
    from dbus.bus import BusConnection
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 43, in <module>
    from dbus.connection import Connection
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 38, in <module>
    from dbus.proxies import ProxyObject
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 31, in <module>
    from dbus._expat_introspect_parser import process_introspection_data
  File "/usr/lib/python2.5/site-packages/dbus/_expat_introspect_parser.py", line 22, in <module>
    from xml.parsers.expat import ExpatError, ParserCreate
  File "/usr/lib/python2.5/site-packages/_xmlplus/parsers/expat.py", line 4, in <module>
    from pyexpat import *
ImportError: /usr/lib/python2.5/site-packages/_xmlplus/parsers/pyexpat.so: wrong ELF class: ELFCLASS32

Local variables in innermost frame:
__builtins__: {'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in function all>, 'help': Type help() for interactive help, or help(object) for help about object., 'vars': <built-in function vars>, 'SyntaxError': <type 'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError': <type 'exceptions.UnicodeDecodeError'>, 'isinstance': <built-in function isinstance>, 'copyright': Copyright (c) 2001-2007 Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>, 'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type 'exceptions.StandardError'>, 'repr': <built-in function repr>, 'sorted': <built-in function sorted>, 'False': False, 'RuntimeWarning': <type 'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>, 'Warning': <type 'exceptions.Warning'>, 'round': <built-in function round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'reduce': <built-in function reduce>, 'intern': <built-in function intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type 'exceptions.EOFError'>, 'locals': <built-in function locals>, 'slice': <type 'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum': <built-in function sum>, 'getattr': <built-in function getattr>, 'abs': <built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit, 'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>, 'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash': <built-in function hash>, 'len': <built-in function len>, 'credits':     Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
    for supporting Python development.  See www.python.org for more information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type 'super'>, 'TypeError': <type 'exceptions.TypeError'>, 'license': See http://www.python.org/2.5/license.html, 'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError': <type 'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError': <type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type 'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>, 'globals': <built-in function globals>, 'divmod': <built-in function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>, 'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type 'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>, 'ReferenceError': <type 'exceptions.ReferenceError'>, 'ImportError': <type 'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>, 'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type 'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>, 'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>, 'raw_input': <built-in function raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile': <built-in function compile>, 'ArithmeticError': <type 'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type 'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type 'int'>, '__import__': <built-in function __import__>, 'KeyError': <type 'exceptions.KeyError'>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>, 'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>, 'unichr': <built-in function unichr>, 'any': <built-in function any>, 'OSError': <type 'exceptions.OSError'>, 'DeprecationWarning': <type 'exceptions.DeprecationWarning'>, 'min': <built-in function min>, 'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in function execfile>, 'id': <built-in function id>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>, 'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>, 'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval': <built-in function eval>, '__debug__': True, 'IndentationError': <type 'exceptions.IndentationError'>, 'AssertionError': <type 'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>, 'UnboundLocalError': <type 'exceptions.UnboundLocalError'>, 'NotImplementedError': <type 'exceptions.NotImplementedError'>, 'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type 'exceptions.OverflowError'>}
__name__: None
__file__: None
__version__: None
__doc__: None


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.On the main gnome panel click on Application Menu and start "software update"
2.answer to password request for "root"
3.

Actual Results:
Package updater application starts and try to get software information. After a few seconds it crash issuing the message above 

Expected Results:


Additional info:
Comment 1 Jeremy Katz 2007-11-20 13:15:13 EST
What's the output of 'rpm -q pyXML'?
Comment 2 Mario Bonelli 2007-11-20 13:35:26 EST
The output follows

[xmbo@localhost ~]$ su
Parola d'ordine:
[root@localhost xmbo]# rpm -q pyXML
il pacchetto pyXML non รจ stato installato
[root@localhost xmbo]# 
Comment 3 Mario Bonelli 2007-11-21 05:31:43 EST
for your suggested command the answer is "package pyXML is not installed" but
for command "rpm -q PyXML" the answer is:

PyXML-0.8.4-6
Comment 4 Robert Seles 2008-01-13 17:15:48 EST
Created attachment 291519 [details]
error installing updates
Comment 5 Robert Seles 2008-01-13 17:16:16 EST
Hi folks,

seems I have got nearly the same problem. Symptoms are exactly the same, just
the error message I am getting is different, see the attached report.

Regards,
Robert
Comment 6 Doug Epling 2008-03-20 20:14:52 EDT
This happened two consecutive fresh installs.  It totally screws the install --
removes gnome Add/Remove and all gnome Administrative functions except
'Configure Logon' utility and eth0 worst of all.  Weird!  I just installed on
another machine with no problem.  Debug file:

Component: pirut
Summary: TB933f1c56 DetailsDialog.py:38:__init__:RuntimeError: could not create
GladeXML object

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 382, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/DetailsDialog.py", line 38, in
__init__
RuntimeError: could not create GladeXML object

Local variables in innermost frame:
parent: <gtk.Window object at 0x9acbd74 (GtkWindow at 0x9b628e0)>
text: Software installation and removal successfully completed.
self: <pirut.DetailsDialog.PirutDetailsDialog instance at 0xf18cfec>
buttons: [('gtk-ok', 0)]
type: <enum GTK_MESSAGE_INFO of type GtkMessageType>
secondary: None

Note You need to log in before you can comment on or make changes to this bug.